Ticket #42865

Macrofy client_player()

Open Date: 2021-09-16 11:44 Last Update: 2021-09-27 11:19

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Future tickets should replace most direct client.conn.playing with proper use of client_player(). With the client_player() implemented as a function that would mean adding function call overhead to a lot of places. To avoid that, let's turn client_player() to a macro in this ticket.

Ticket History (3/6 Histories)

2021-09-16 11:44 Updated by: cazfi
  • New Ticket "Macrofy client_player()" created
2021-09-16 11:50 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-09-21 10:04 Updated by: cazfi
Comment

Makes sense to target to stable branches too because of the optimization it provides even for existing code.

2021-09-27 11:19 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login